#version 300 es

uniform float uScale;

in vec4 aPosition;
in vec2 aTextureCoord;

out vec2 vUV;
out vec2 vNormalUV;

void main() {
    gl_Position = aPosition;
    vec2 uv = vec2(aTextureCoord.x, 1.0-aTextureCoord.y);

    vUV = uv;
    vNormalUV = uv * uScale;
}